<?php
#=
/****************************************************************************
Copyright 2002-2004, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.
GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
// Création comptes de base 00000, proftest, admin local
// Classe test
// Elève  test

function cree_classe($etab_id) {
       query("INSERT INTO classes
                  SET divcod='Classe_Test', etab_id=$etab_id;");
       $classe_id=@mysql_insert_id();
       return $classe_id;
}


function cree_eleve($etab_id,$classe_id,$mdp) {
global $annee;
       query("INSERT INTO eleves
                SET nom='TEST',
                    prenom='Eleve',
                    dnaiss='01/01',
                    classe_id='$classe_id',
                    annee=$annee,
                    tag=-1,
                    etab_id=$etab_id;");
       $eleve_id=@mysql_insert_id();

       //Gestion des liens_eleves_classes
       query("INSERT INTO lien_eleves_classes
              (eleve_id, classe_id) VALUES ($eleve_id,$classe_id)");

       //Compte élève
       $passwd=md5($mdp);
       query("INSERT INTO comptes
                 SET login='00000', mdp='$passwd',
                 statut='Eleve', eleve_id=$eleve_id,
                 etab_id=$etab_id;");
        $compte_id=@mysql_insert_id();

        //Correction élève
        query("UPDATE eleves
                 SET compte_id=$compte_id
                 WHERE eleve_id=$eleve_id;");

        //langues élève : il fait LV1=anglais, LV2=espagnol, LV3=allemand
        for ($d=1; $d<=3; $d++) {
             query("INSERT INTO lien_eleves_disciplines
                       SET rang=$d,
                           eleve_id=$eleve_id,
                           disc_id=$d");
        }

        return $eleve_id;
}

function cree_prof($etab_id,$classe_id,$mdp) {   //id de 'Classe_test'
global $annee;
       query("INSERT INTO profs
                    SET nom='TEST',
                        prenom='Prof',
                        civil='M.',
                        dnaiss='01/01',
                        disc_id=0,
                        tag=-1,
                        annee=$annee,
                        etab_id=$etab_id;");
       $prof_id=@mysql_insert_id();

       //Compte prof
       $passwd=md5($mdp);
       query("INSERT INTO comptes
                      SET login='proftest', mdp='$passwd',
                          statut='Prof', prof_id=$prof_id,
                          etab_id=$etab_id;");
       $compte_id=@mysql_insert_id();

       //Correction prof
       query("UPDATE profs
                 SET compte_id=$compte_id
               WHERE prof_id=$prof_id;");
       //On donne la classe au prof
       query("INSERT INTO lien_profs_classes
                 SET prof_id=$prof_id,
                     classe_id=$classe_id;");
       return $prof_id;
}

function cree_gest($etab_id,$mdp) {
        //Compte gestion local
        $passwd=md5($mdp);
        query("INSERT INTO comptes
                  SET login='gestion', mdp='$passwd',
                  statut='Gest', etab_id=$etab_id;");
}

function cree_admin($etab_id,$mdp) {
        //Admin local
        $passwd=md5($mdp);
        query("INSERT INTO comptes
                  SET login='admin', mdp='$passwd',
                  statut='Admin', etab_id=$etab_id;");
}

function cree_users($etab_id,$dynamique=""){
//appelée avec 2 params depuis genetabs_txt.php
//          et 1 param depuis  creetab.php
global $annee;
if (!$dynamique) {
    $dynamique=array('mdpadmin'=>'admin','mdpgestion'=>'gestion',
                     'mdpproftest'=>'proftest','mdp00000'=>'00000'
                    );
    }
$annee=ascol();
$classe_id=cree_classe($etab_id);
cree_eleve($etab_id,$classe_id,$dynamique['mdp00000']);
cree_prof($etab_id,$classe_id,$dynamique['mdpproftest']);
cree_gest($etab_id,$dynamique['mdpgestion']);
cree_admin($etab_id,$dynamique['mdpadmin']);
}

function creerrepdonnees($rep) {
//$rep est soit data/0330068X  soit de la forme : data/0330068X/sousrep
$repreel=$rep;
if (is_dir($repreel))
    print "Le répertoire $rep existe déjà ! L'ancien est conservé<br>";
else {
  umask(0000);
  $rapport=creertousrep($repreel.'/');  //création en 0777
  if (!$rapport)   alert("impossible de créer le dossier $rep. !\\nFaites-le à la main après avoir revu les permissions.");
     //else print "Répertoire $rep créé<br>";
  }
}


function creer_repertoires($repbase) {
global $DATA,$HIDEDATA;
creerrepdonnees("$DATA/$repbase/images");
creerrepdonnees("$HIDEDATA/$repbase/backup");
creerrepdonnees("$HIDEDATA/$repbase/individus");
creerrepdonnees("$DATA/$repbase/diplomes");
}

?>